com.google.appengine.api.images

## Enum InputSettings.OrientationCorrection

- java.lang.Object
- - java.lang.Enum<InputSettings.OrientationCorrection>
  - - com.google.appengine.api.images.InputSettings.OrientationCorrection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InputSettings.OrientationCorrection>
  Enclosing class:
    InputSettings

      public static enum InputSettings.OrientationCorrection
      extends java.lang.Enum<InputSettings.OrientationCorrection>

  Actions to take with respect to correcting image orientation based on image metadata. EXIF metadata within the image may contain a parameter indicating its proper orientation. This value can equal 1 through 8, inclusive. "1" means that the image is in its "normal" orientation, i.e., it should be viewed as it is stored.

  Regardless of the `OrientationCorrection` value used, the orientation value in a transformed image is always cleared to indicate that no additional corrections of the returned image's orientation is necessary.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CORRECT_ORIENTATION` Apply any orientation specified in the EXIF metadata to the image during the first transformation.
    `UNCHANGED_ORIENTATION` Do not apply any orientation correction specified in the EXIF metadata.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InputSettings.OrientationCorrection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InputSettings.OrientationCorrection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNCHANGED_ORIENTATION

          public static final InputSettings.OrientationCorrection UNCHANGED_ORIENTATION

      Do not apply any orientation correction specified in the EXIF metadata.

    - #### CORRECT_ORIENTATION

          public static final InputSettings.OrientationCorrection CORRECT_ORIENTATION

      Apply any orientation specified in the EXIF metadata to the image during the first transformation.

      NOTE: If the image is already in portrait orientation, i.e., "taller" than it is "wide" no correction will be made, since it appears that the camera has already corrected it.

  - ### Method Detail

    - #### values

          public static InputSettings.OrientationCorrection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InputSettings.OrientationCorrection c : InputSettings.OrientationCorrection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InputSettings.OrientationCorrection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null